classification
Title: Capitalization mistakes in the documentation for ctypes
Type: enhancement Stage: commit review
Components: ctypes, Documentation Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ramchandra Apte, docs@python, eli.bendersky, meador.inge, python-dev
Priority: normal Keywords:

Created on 2012-01-04 02:46 by Ramchandra Apte, last changed 2012-03-16 07:20 by eli.bendersky. This issue is now closed.

Messages (4)
msg150574 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-01-04 02:46
In section 15.17.1.17 in the ctypes documentation, the documentation says
"It is funny to see that on linux the sort function seems to work much more efficiently, it is doing less comparisons"

"It is quite interesting to see that the Windows qsort() function needs
more comparisons than the linux version!"

"linux" should be capitalized in both these sentences.
msg150583 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2012-01-04 03:43
And while we're at it, I would consider revising both sentences in a more fundamental way, since they're too chatty for the official docs.
msg156002 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-03-16 07:19
New changeset d2460ff173ff by Eli Bendersky in branch 'default':
Issue #13709: some fixes to the ctypes documentation. In addition to fixing
http://hg.python.org/cpython/rev/d2460ff173ff
msg156003 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2012-03-16 07:20
Fixed in 3.3

I don't think this is important enough to spend time on backporting.
History
Date User Action Args
2012-03-16 07:20:03eli.benderskysetstatus: open -> closed
versions: + Python 3.3
messages: + msg156003

resolution: fixed
stage: needs patch -> commit review
2012-03-16 07:19:28python-devsetnosy: + python-dev
messages: + msg156002
2012-01-12 19:40:43meador.ingesetnosy: + meador.inge

type: enhancement
components: + ctypes
stage: needs patch
2012-01-04 03:43:44eli.benderskysetnosy: + eli.bendersky
messages: + msg150583
2012-01-04 02:46:43Ramchandra Aptecreate